Unit uColors;


interface

uses Vcl.Graphics,System.UITypes;

const
  clSystemColor = TColors.SystemColor;

  clScrollBar = TColors.SysScrollBar;
  clBackground = TColors.SysBackground;
  clActiveCaption = TColors.SysActiveCaption;
  clInactiveCaption = TColors.SysInactiveCaption;
  clMenu = TColors.SysMenu;
  clWindow = TColors.SysWindow;
  clWindowFrame = TColors.SysWindowFrame;
  clMenuText = TColors.SysMenuText;
  clWindowText = TColors.SysWindowText;
  clCaptionText = TColors.SysCaptionText;
  clActiveBorder = TColors.SysActiveBorder;
  clInactiveBorder = TColors.SysInactiveBorder;
  clAppWorkSpace = TColors.SysAppWorkSpace;
  clHighlight = TColors.SysHighlight;
  clHighlightText = TColors.SysHighlightText;
  clBtnFace = TColors.SysBtnFace;
  clBtnShadow = TColors.SysBtnShadow;
  clGrayText = TColors.SysGrayText;
  clBtnText = TColors.SysBtnText;
  clInactiveCaptionText = TColors.SysInactiveCaptionText;
  clBtnHighlight = TColors.SysBtnHighlight;
  cl3DDkShadow = TColors.Sys3DDkShadow;
  cl3DLight = TColors.Sys3DLight;
  clInfoText = TColors.SysInfoText;
  clInfoBk = TColors.SysInfoBk;
  clHotLight = TColors.SysHotLight;
  clGradientActiveCaption = TColors.SysGradientActiveCaption;
  clGradientInactiveCaption = TColors.SysGradientInactiveCaption;
  clMenuHighlight = TColors.SysMenuHighlight;
  clMenuBar = TColors.SysMenuBar;

  clBlack = TColors.Black;
  clMaroon = TColors.Maroon;
  clGreen = TColors.Green;
  clOlive = TColors.Olive;
  clNavy = TColors.Navy;
  clPurple = TColors.Purple;
  clTeal = TColors.Teal;
  clGray = TColors.Gray;
  clSilver = TColors.Silver;
  clRed = TColors.Red;
  clLime = TColors.Lime;
  clYellow = TColors.Yellow;
  clBlue = TColors.Blue;
  clFuchsia = TColors.Fuchsia;
  clAqua = TColors.Aqua;
  clLtGray = TColors.LtGray;
  clDkGray = TColors.DkGray;
  clWhite = TColors.White;
  StandardColorsCount = 16;

  clMoneyGreen = TColors.MoneyGreen;
  clSkyBlue = TColors.LegacySkyBlue;
  clCream = TColors.Cream;
  clMedGray = TColors.MedGray;
  ExtendedColorsCount = 4;

  clNone = TColors.SysNone;
  clDefault = TColors.SysDefault;

  { The following "cl" values come from the Web Named Color palette and
    are stored in the Windows COLORREF byte order x00bbggrr }
  clWebSnow = TColors.Snow;
  clWebFloralWhite = TColors.FloralWhite;
  clWebLavenderBlush = TColors.LavenderBlush;
  clWebOldLace = TColors.OldLace;
  clWebIvory = TColors.Ivory;
  clWebCornSilk = TColors.CornSilk;
  clWebBeige = TColors.Beige;
  clWebAntiqueWhite = TColors.AntiqueWhite;
  clWebWheat = TColors.Wheat;
  clWebAliceBlue = TColors.AliceBlue;
  clWebGhostWhite = TColors.GhostWhite;
  clWebLavender = TColors.Lavender;
  clWebSeashell = TColors.Seashell;
  clWebLightYellow = TColors.LightYellow;
  clWebPapayaWhip = TColors.PapayaWhip;
  clWebNavajoWhite = TColors.NavajoWhite;
  clWebMoccasin = TColors.Moccasin;
  clWebBurlywood = TColors.Burlywood;
  clWebAzure = TColors.Azure;
  clWebMintcream = TColors.Mintcream;
  clWebHoneydew = TColors.Honeydew;
  clWebLinen = TColors.Linen;
  clWebLemonChiffon = TColors.LemonChiffon;
  clWebBlanchedAlmond = TColors.BlanchedAlmond;
  clWebBisque = TColors.Bisque;
  clWebPeachPuff = TColors.PeachPuff;
  clWebTan = TColors.Tan;
  // yellows/reds yellow -> rosybrown
  clWebYellow = TColors.Yellow;
  clWebDarkOrange = TColors.DarkOrange;
  clWebRed = TColors.Red;
  clWebDarkRed = TColors.DarkRed;
  clWebMaroon = TColors.Maroon;
  clWebIndianRed = TColors.IndianRed;
  clWebSalmon = TColors.Salmon;
  clWebCoral = TColors.Coral;
  clWebGold = TColors.Gold;
  clWebTomato = TColors.Tomato;
  clWebCrimson = TColors.Crimson;
  clWebBrown = TColors.Brown;
  clWebChocolate = TColors.Chocolate;
  clWebSandyBrown = TColors.SandyBrown;
  clWebLightSalmon = TColors.LightSalmon;
  clWebLightCoral = TColors.LightCoral;
  clWebOrange = TColors.Orange;
  clWebOrangeRed = TColors.OrangeRed;
  clWebFirebrick = TColors.Firebrick;
  clWebSaddleBrown = TColors.SaddleBrown;
  clWebSienna = TColors.Sienna;
  clWebPeru = TColors.Peru;
  clWebDarkSalmon = TColors.DarkSalmon;
  clWebRosyBrown = TColors.RosyBrown;
  // greens palegoldenrod -> darkseagreen
  clWebPaleGoldenrod = TColors.PaleGoldenrod;
  clWebLightGoldenrodYellow = TColors.LightGoldenrodYellow;
  clWebOlive = TColors.Olive;
  clWebForestGreen = TColors.ForestGreen;
  clWebGreenYellow = TColors.GreenYellow;
  clWebChartreuse = TColors.Chartreuse;
  clWebLightGreen = TColors.LightGreen;
  clWebAquamarine = TColors.Aquamarine;
  clWebSeaGreen = TColors.SeaGreen;
  clWebGoldenRod = TColors.GoldenRod;
  clWebKhaki = TColors.Khaki;
  clWebOliveDrab = TColors.OliveDrab;
  clWebGreen = TColors.Green;
  clWebYellowGreen = TColors.YellowGreen;
  clWebLawnGreen = TColors.LawnGreen;
  clWebPaleGreen = TColors.PaleGreen;
  clWebMediumAquamarine = TColors.MediumAquamarine;
  clWebMediumSeaGreen = TColors.MediumSeaGreen;
  clWebDarkGoldenRod = TColors.DarkGoldenRod;
  clWebDarkKhaki = TColors.DarkKhaki;
  clWebDarkOliveGreen = TColors.DarkOliveGreen;
  clWebDarkgreen = TColors.Darkgreen;
  clWebLimeGreen = TColors.LimeGreen;
  clWebLime = TColors.Lime;
  clWebSpringGreen = TColors.SpringGreen;
  clWebMediumSpringGreen = TColors.MediumSpringGreen;
  clWebDarkSeaGreen = TColors.DarkSeaGreen;
  // greens/blues lightseagreen -> navy
  clWebLightSeaGreen = TColors.LightSeaGreen;
  clWebPaleTurquoise = TColors.PaleTurquoise;
  clWebLightCyan = TColors.LightCyan;
  clWebLightBlue = TColors.LightBlue;
  clWebLightSkyBlue = TColors.LightSkyBlue;
  clWebCornFlowerBlue = TColors.CornFlowerBlue;
  clWebDarkBlue = TColors.DarkBlue;
  clWebIndigo = TColors.Indigo;
  clWebMediumTurquoise = TColors.MediumTurquoise;
  clWebTurquoise = TColors.Turquoise;
  clWebCyan = TColors.Cyan; //   clWebAqua
  clWebAqua = TColors.Aqua;
  clWebPowderBlue = TColors.PowderBlue;
  clWebSkyBlue = TColors.SkyBlue;
  clWebRoyalBlue = TColors.RoyalBlue;
  clWebMediumBlue = TColors.MediumBlue;
  clWebMidnightBlue = TColors.MidnightBlue;
  clWebDarkTurquoise = TColors.DarkTurquoise;
  clWebCadetBlue = TColors.CadetBlue;
  clWebDarkCyan = TColors.DarkCyan;
  clWebTeal = TColors.Teal;
  clWebDeepskyBlue = TColors.DeepskyBlue;
  clWebDodgerBlue = TColors.DodgerBlue;
  clWebBlue = TColors.Blue;
  clWebNavy = TColors.Navy;
  // violets/pinks darkviolet -> pink
  clWebDarkViolet = TColors.DarkViolet;
  clWebDarkOrchid = TColors.DarkOrchid;
  clWebMagenta = TColors.Magenta; //   clWebFuchsia
  clWebFuchsia = TColors.Fuchsia;
  clWebDarkMagenta = TColors.DarkMagenta;
  clWebMediumVioletRed = TColors.MediumVioletRed;
  clWebPaleVioletRed = TColors.PaleVioletRed;
  clWebBlueViolet = TColors.BlueViolet;
  clWebMediumOrchid = TColors.MediumOrchid;
  clWebMediumPurple = TColors.MediumPurple;
  clWebPurple = TColors.Purple;
  clWebDeepPink = TColors.DeepPink;
  clWebLightPink = TColors.LightPink;
  clWebViolet = TColors.Violet;
  clWebOrchid = TColors.Orchid;
  clWebPlum = TColors.Plum;
  clWebThistle = TColors.Thistle;
  clWebHotPink = TColors.HotPink;
  clWebPink = TColors.Pink;
  // blue/gray/black lightsteelblue -> black
  clWebLightSteelBlue = TColors.LightSteelBlue;
  clWebMediumSlateBlue = TColors.MediumSlateBlue;
  clWebLightSlateGray = TColors.LightSlateGray;
  clWebWhite = TColors.White;
  clWebLightgrey = TColors.Lightgrey;
  clWebGray = TColors.Gray;
  clWebSteelBlue = TColors.SteelBlue;
  clWebSlateBlue = TColors.SlateBlue;
  clWebSlateGray = TColors.SlateGray;
  clWebWhiteSmoke = TColors.WhiteSmoke;
  clWebSilver = TColors.Silver;
  clWebDimGray = TColors.DimGray;
  clWebMistyRose = TColors.MistyRose;
  clWebDarkSlateBlue = TColors.DarkSlateBlue;
  clWebDarkSlategray = TColors.DarkSlategray;
  clWebGainsboro = TColors.Gainsboro;
  clWebDarkGray = TColors.DarkGray;
  clWebBlack = TColors.Black;
  WebColorsCount = 140;  { Two of which are duplicates Aqua/Cyan Fuchsia/Magenta }

Implementation

end.
